<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>IsolinePlan (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IsolinePlan (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IsolinePlan.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/isoline/IsolineOptions.IsolineQuality.html" title="enum in com.here.android.mpa.isoline"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.RangeType.html" title="enum in com.here.android.mpa.isoline"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/isoline/IsolinePlan.html" target="_top">Frames</a></li>
<li><a href="IsolinePlan.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.isoline</div>
<h2 title="Class IsolinePlan" class="title">Class IsolinePlan</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.isoline.IsolinePlan</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">IsolinePlan</span>
extends java.lang.Object</pre>
<div class="block"><code>IsolinePlan</code> contains all information needed to calculate a <a href="../../../../../com/here/android/mpa/isoline/Isoline.html" title="class in com.here.android.mpa.isoline"><code>Isoline</code></a>.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.html" title="class in com.here.android.mpa.routing"><code>RouteWaypoint</code></a>, 
<a href="../../../../../com/here/android/mpa/isoline/Isoline.html" title="class in com.here.android.mpa.isoline"><code>Isoline</code></a>, 
<a href="../../../../../com/here/android/mpa/isoline/IsolineOptions.html" title="class in com.here.android.mpa.isoline"><code>IsolineOptions</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.RangeType.html" title="enum in com.here.android.mpa.isoline">IsolinePlan.RangeType</a></span></code>
<div class="block">Specifies type of range.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html#IsolinePlan--">IsolinePlan</a></span>()</code>
<div class="block">Public Constructor</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html#IsolinePlan-com.here.android.mpa.isoline.IsolinePlan-">IsolinePlan</a></span>(<a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html" title="class in com.here.android.mpa.isoline">IsolinePlan</a> other)</code>
<div class="block">Copy Constructor</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object obj)</code> </td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.html" title="class in com.here.android.mpa.routing">RouteWaypoint</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html#getDestination--">getDestination</a></span>()</code>
<div class="block">Gets destination waypoint for isoline.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/isoline/IsolineOptions.html" title="class in com.here.android.mpa.isoline">IsolineOptions</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html#getIsolineOptions--">getIsolineOptions</a></span>()</code>
<div class="block">Gets a copy of the current isoline options used with this <code>IsolinePlan</code>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.Integer&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html#getRanges--">getRanges</a></span>()</code>
<div class="block">Gets the list of the ranges.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.RangeType.html" title="enum in com.here.android.mpa.isoline">IsolinePlan.RangeType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html#getRangeType--">getRangeType</a></span>()</code>
<div class="block">Gets the range type.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing">RouteOptions</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html#getRouteOptions--">getRouteOptions</a></span>()</code>
<div class="block">Gets a copy of the current route options used with this <code>IsolinePlan</code>.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.html" title="class in com.here.android.mpa.routing">RouteWaypoint</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html#getStart--">getStart</a></span>()</code>
<div class="block">Gets waypoint where isoline starts.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html#hashCode--">hashCode</a></span>()</code> </td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html" title="class in com.here.android.mpa.isoline">IsolinePlan</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html#setDestination-com.here.android.mpa.routing.RouteWaypoint-">setDestination</a></span>(<a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.html" title="class in com.here.android.mpa.routing">RouteWaypoint</a> point)</code>
<div class="block">Sets destination for reverse isoline.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html" title="class in com.here.android.mpa.isoline">IsolinePlan</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html#setIsolineOptions-com.here.android.mpa.isoline.IsolineOptions-">setIsolineOptions</a></span>(<a href="../../../../../com/here/android/mpa/isoline/IsolineOptions.html" title="class in com.here.android.mpa.isoline">IsolineOptions</a> options)</code>
<div class="block">Sets the isoline options.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html" title="class in com.here.android.mpa.isoline">IsolinePlan</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html#setRanges-java.util.List-">setRanges</a></span>(java.util.List&lt;java.lang.Integer&gt; ranges)</code>
<div class="block">Sets the list of the ranges.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html" title="class in com.here.android.mpa.isoline">IsolinePlan</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html#setRangeType-com.here.android.mpa.isoline.IsolinePlan.RangeType-">setRangeType</a></span>(<a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.RangeType.html" title="enum in com.here.android.mpa.isoline">IsolinePlan.RangeType</a> rangeType)</code>
<div class="block">Sets the range type.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html" title="class in com.here.android.mpa.isoline">IsolinePlan</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html#setRouteOptions-com.here.android.mpa.routing.RouteOptions-">setRouteOptions</a></span>(<a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing">RouteOptions</a> options)</code>
<div class="block">Sets the route options.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html" title="class in com.here.android.mpa.isoline">IsolinePlan</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html#setStart-com.here.android.mpa.routing.RouteWaypoint-">setStart</a></span>(<a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.html" title="class in com.here.android.mpa.routing">RouteWaypoint</a> point)</code>
<div class="block">Sets start waypoint for isoline.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="IsolinePlan--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IsolinePlan</h4>
<pre>public IsolinePlan()</pre>
<div class="block">Public Constructor</div>
</li>
</ul>
<a name="IsolinePlan-com.here.android.mpa.isoline.IsolinePlan-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>IsolinePlan</h4>
<pre>public IsolinePlan(<a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html" title="class in com.here.android.mpa.isoline">IsolinePlan</a> other)</pre>
<div class="block">Copy Constructor</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getRouteOptions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRouteOptions</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing">RouteOptions</a> getRouteOptions()</pre>
<div class="block">Gets a copy of the current route options used with this <code>IsolinePlan</code>. Any changes made
 to the <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing"><code>RouteOptions</code></a> object returned by this method must be used to call
 <a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html#setRouteOptions-com.here.android.mpa.routing.RouteOptions-"><code>IsolinePlan.setRouteOptions(RouteOptions)</code></a> again for the changes to be in effect.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>RouteOptions</code> options associated with this plan.</dd>
</dl>
</li>
</ul>
<a name="setRouteOptions-com.here.android.mpa.routing.RouteOptions-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRouteOptions</h4>
<pre>public <a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html" title="class in com.here.android.mpa.isoline">IsolinePlan</a> setRouteOptions(<a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing">RouteOptions</a> options)</pre>
<div class="block">Sets the route options. This method does not retain a reference to <code>options</code>. If the
 <code>options</code> object is updated, then this method must be called again for the changes to
 be in effect.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>options</code> - The <a href="../../../../../com/here/android/mpa/routing/RouteOptions.html" title="class in com.here.android.mpa.routing"><code>RouteOptions</code></a> to set.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>This <code>IsolinePlan</code> object</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.NullPointerException</code> - If the provided options is null.</dd>
</dl>
</li>
</ul>
<a name="getIsolineOptions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIsolineOptions</h4>
<pre>public <a href="../../../../../com/here/android/mpa/isoline/IsolineOptions.html" title="class in com.here.android.mpa.isoline">IsolineOptions</a> getIsolineOptions()</pre>
<div class="block">Gets a copy of the current isoline options used with this <code>IsolinePlan</code>. Any changes
 made to the <a href="../../../../../com/here/android/mpa/isoline/IsolineOptions.html" title="class in com.here.android.mpa.isoline"><code>IsolineOptions</code></a> object returned by this method must be used to call
 <a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html#setIsolineOptions-com.here.android.mpa.isoline.IsolineOptions-"><code>IsolinePlan.setIsolineOptions(IsolineOptions)</code></a> again for the changes to be in effect.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>IsolineOptions</code> options associated with this plan.</dd>
</dl>
</li>
</ul>
<a name="setIsolineOptions-com.here.android.mpa.isoline.IsolineOptions-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIsolineOptions</h4>
<pre>public <a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html" title="class in com.here.android.mpa.isoline">IsolinePlan</a> setIsolineOptions(<a href="../../../../../com/here/android/mpa/isoline/IsolineOptions.html" title="class in com.here.android.mpa.isoline">IsolineOptions</a> options)</pre>
<div class="block">Sets the isoline options. This method does not retain a reference to <code>options</code>. If the
 <code>options</code> object is updated, then this method must be called again for the changes to
 be in effect.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>options</code> - The <a href="../../../../../com/here/android/mpa/isoline/IsolineOptions.html" title="class in com.here.android.mpa.isoline"><code>IsolineOptions</code></a> to set.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>This <code>IsolinePlan</code> object.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.NullPointerException</code> - If the provided options is null.</dd>
</dl>
</li>
</ul>
<a name="getRangeType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRangeType</h4>
<pre>public <a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.RangeType.html" title="enum in com.here.android.mpa.isoline">IsolinePlan.RangeType</a> getRangeType()</pre>
<div class="block">Gets the range type.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>RangeType</code> associated with this plan.</dd>
</dl>
</li>
</ul>
<a name="setRangeType-com.here.android.mpa.isoline.IsolinePlan.RangeType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRangeType</h4>
<pre>public <a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html" title="class in com.here.android.mpa.isoline">IsolinePlan</a> setRangeType(<a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.RangeType.html" title="enum in com.here.android.mpa.isoline">IsolinePlan.RangeType</a> rangeType)</pre>
<div class="block">Sets the range type.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rangeType</code> - the desired range type.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>This <code>IsolinePlan</code> object.</dd>
</dl>
</li>
</ul>
<a name="getRanges--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRanges</h4>
<pre>public java.util.List&lt;java.lang.Integer&gt; getRanges()</pre>
<div class="block">Gets the list of the ranges.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of ranges associated with this plan.</dd>
</dl>
</li>
</ul>
<a name="setRanges-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRanges</h4>
<pre>public <a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html" title="class in com.here.android.mpa.isoline">IsolinePlan</a> setRanges(java.util.List&lt;java.lang.Integer&gt; ranges)</pre>
<div class="block">Sets the list of the ranges.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ranges</code> - list of the ranges.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>This <code>IsolinePlan</code> object.</dd>
</dl>
</li>
</ul>
<a name="getStart--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStart</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.html" title="class in com.here.android.mpa.routing">RouteWaypoint</a> getStart()</pre>
<div class="block">Gets waypoint where isoline starts.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>RouteWaypoint</code>.</dd>
</dl>
</li>
</ul>
<a name="setStart-com.here.android.mpa.routing.RouteWaypoint-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStart</h4>
<pre>public <a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html" title="class in com.here.android.mpa.isoline">IsolinePlan</a> setStart(<a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.html" title="class in com.here.android.mpa.routing">RouteWaypoint</a> point)</pre>
<div class="block">Sets start waypoint for isoline.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>point</code> - <code>RouteWaypoint</code> for start.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>This <code>IsolinePlan</code> object.</dd>
</dl>
</li>
</ul>
<a name="getDestination--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDestination</h4>
<pre>public <a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.html" title="class in com.here.android.mpa.routing">RouteWaypoint</a> getDestination()</pre>
<div class="block">Gets destination waypoint for isoline.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>destination <code>RouteWaypoint</code>.</dd>
</dl>
</li>
</ul>
<a name="setDestination-com.here.android.mpa.routing.RouteWaypoint-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDestination</h4>
<pre>public <a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.html" title="class in com.here.android.mpa.isoline">IsolinePlan</a> setDestination(<a href="../../../../../com/here/android/mpa/routing/RouteWaypoint.html" title="class in com.here.android.mpa.routing">RouteWaypoint</a> point)</pre>
<div class="block">Sets destination for reverse isoline.
 Reverse isoline is the area from where you can reach the destination.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>point</code> - <code>RouteWaypoint</code> for destination.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>This <code>IsolinePlan</code> object.</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public boolean equals(java.lang.Object obj)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code> in class <code>java.lang.Object</code></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hashCode</h4>
<pre>public int hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code> in class <code>java.lang.Object</code></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IsolinePlan.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/isoline/IsolineOptions.IsolineQuality.html" title="enum in com.here.android.mpa.isoline"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/isoline/IsolinePlan.RangeType.html" title="enum in com.here.android.mpa.isoline"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/isoline/IsolinePlan.html" target="_top">Frames</a></li>
<li><a href="IsolinePlan.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
